Update a product
curl --request PUT \
--url https://api.contazen.ro/v1/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"price": 1,
"purchase_price": 1,
"currency": "<string>",
"unit_of_measure": "<string>",
"ubl_um": "<string>",
"ubl_nc": "<string>",
"ubl_cpv": "<string>",
"is_service": true,
"is_active": true,
"stock_quantity": 123,
"stock_min": 123,
"stock_max": 123
}
'import requests
url = "https://api.contazen.ro/v1/products/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"price": 1,
"purchase_price": 1,
"currency": "<string>",
"unit_of_measure": "<string>",
"ubl_um": "<string>",
"ubl_nc": "<string>",
"ubl_cpv": "<string>",
"is_service": True,
"is_active": True,
"stock_quantity": 123,
"stock_min": 123,
"stock_max": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
price: 1,
purchase_price: 1,
currency: '<string>',
unit_of_measure: '<string>',
ubl_um: '<string>',
ubl_nc: '<string>',
ubl_cpv: '<string>',
is_service: true,
is_active: true,
stock_quantity: 123,
stock_min: 123,
stock_max: 123
})
};
fetch('https://api.contazen.ro/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "prod_1a2b3c4d5e",
"object": "product",
"name": "<string>",
"price": 123,
"description": "<string>",
"currency": "RON",
"purchase_price": 123,
"vat_rate": 19,
"unit_of_measure": "buc",
"ubl_um": "H87",
"ubl_nc": "<string>",
"ubl_cpv": "<string>",
"type": "service",
"is_service": false,
"is_active": true,
"stock_quantity": 123,
"stock_min": 123,
"stock_max": 123,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}Products
Update Product
Update an existing product
PUT
/
products
/
{id}
Update a product
Authorizations
Use your API key (sk_live_xxx or sk_test_xxx)
Path Parameters
Product CzUid
Body
application/json
Required range:
x >= 0Required range:
x >= 0Available options:
0, 5, 9, 11, 19, 21 See Product.type. Omit to keep the current value.
Available options:
product, service Legacy flag — prefer type.
Was this page helpful?
⌘I